<template>

  <div id ="Login" class="row  justify-content-center align-items-center vh-100" >
  
  <div class="container rounded bg-dark" >
  <div class="col-sm-12  d-flex justify-content-center">
    <h3 class="text-center text-white ">Iniciar Sesión</h3>
  </div>
  <form>
 
  <div class="form-outline mb-4">
    <input type="email" name="username" v-model="input.username" placeholder="Username" id="form1Example1" class="form-control" />
    <label class="form-label text-white " for="form1Example1"> Nombre de Usuario / Correo</label>
  </div>

  <div class="form-outline mb-4">
    <input type="password" name="password" v-model="input.password" placeholder="Password" id="form1Example2" class="form-control" />
    <label class="form-label text-white " for="form1Example2"> Contraseña</label>
  </div>

  <div class="row mb-4">
    <div class="col">
      <!-- Simple link -->
      <a href="#!" class="text-center text-white font-italic">Crear una cuenta</a>
    </div>
  </div>

  <button type="submit" class="btn btn-dark btn-block border-white" v-on:click="login()">Iniciar Sesion</button>
    </form>
    </div>
  </div>

</template>

<script>
export default {
        name: 'Login',
        data() {
            return {
                input: {
                    username: "",
                    password: ""
                }
            }
        },
        methods: {
            login() {
                if(this.input.username != "" && this.input.password != "") {
                    if(this.input.username == this.$parent.mockAccount.username && this.input.password == this.$parent.mockAccount.password) {
                        this.$emit("authenticated", true);
                        this.$router.replace({ name: "secure" });
                    } else {
                        console.log("The username and / or password is incorrect");
                    }
                } else {
                    console.log("A username and password must be present");
                }
            }
        }
}
</script>